commit 1aeefdddaf60ec95798eaa9aa52c51c852921073
Author: freddy77 <freddy77>
Date:   Thu Oct 23 08:02:45 2008 +0000

    improve data.c test

diff --git a/ChangeLog b/ChangeLog
index e68bcd6..3748613 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Oct 23 10:01:23 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/data.c:
+	- improve test
+
 Thu Oct 23 08:00:17 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/convert_tds2sql.c:
 	- update correctly sqlgetdatapos
@@ -745,4 +749,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2632 2008/10/23 06:01:37 freddy77 Exp $
+$Id: ChangeLog,v 1.2633 2008/10/23 08:02:45 freddy77 Exp $
diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index 78dbd75..b3ff985 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -13,7 +13,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: data.c,v 1.21 2008/10/22 20:16:11 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.22 2008/10/23 08:02:45 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -77,6 +77,10 @@ Test(const char *type, const char *value_to_convert, SQLSMALLINT out_c_type, con
 			else
 				sprintf(strchr(sbuf, 0), "\\u%04x", (unsigned int) wp[i]);
 		break;
+	case SQL_C_LONG:
+		assert(out_len == sizeof(SQLINTEGER));
+		sprintf(sbuf, "%ld", (long int) *((SQLINTEGER *) out_buf));
+		break;
 	default:
 		/* not supported */
 		assert(0);
@@ -140,6 +144,7 @@ main(int argc, char *argv[])
 
 	Test("INT", "-123", SQL_C_CHAR, "4 -123");
 	Test("INT", "78654", SQL_C_WCHAR, "5 78654");
+	Test("VARCHAR(10)", "  51245  ", SQL_C_LONG, "51245");
 	if (db_is_microsoft() && (strncmp(version, "08.00.", 6) == 0 || strncmp(version, "09.00.", 6) == 0)) {
 		/* nvarchar without extended characters */
 		Test("NVARCHAR(20)", "test", SQL_C_CHAR, "4 test");
@@ -150,7 +155,8 @@ main(int argc, char *argv[])
 		/* nvarchar with extended characters */
 		Test("NVARCHAR(20)", "0x830068006900f200", SQL_C_WCHAR, "4 \x83hi\xf2");
 		Test("NVARCHAR(20)", "0xA406A5FB", SQL_C_WCHAR, "2 \\u06a4\\ufba5");
-		/* TODO NVARCHAR -> SQL_C_LONG */
+		/* NVARCHAR -> SQL_C_LONG */
+		Test("NVARCHAR(20)", "-24785  ", SQL_C_LONG, "-24785");
 	}
 
 	/* case (1) */

